/**
 * Get the serverless object from package.json, serverless.config.js and .serverlessrc
 * @param path Path to serverless package (default is current path)
 */
export declare function getServerlessConfig(path?: string): {
    [key: string]: any;
};
/**
 * Save a new config map
 * @param newConfigMap New set of serverless considerations
 * @param path Path to the serverless package (default current path)
 * @param targetFile WHether to amend package.json or recreate .serverlessrc (defaults to the latter)
 */
export declare function writeServerlessConfig(newConfigMap: {
    [key: string]: any;
}, path?: string, targetFile?: "package.json" | ".serverlessrc"): void;
/**
 * Update a serverless config (shallow only - replacing a tree element replaces the whole tree)
 * @param configUpdates Map of updates to change (e.g. `{name: "newName"}`)
 * @param path Path to the serverless package (default is current dir)
 * @param targetFile Whether to update package.json or .serverlessrc - defaults to latter
 */
export declare function updateServerlessConfig(configUpdates: {
    [key: string]: any;
}, path?: string, targetFile?: "package.json" | ".serverlessrc"): void;
